OfonoVoiceCallManager Class Reference

This class is used to access oFono voice call manager API. More...

`#include <ofonovoicecallmanager.h>`

Inheritance diagram for OfonoVoiceCallManager:

## Public Slots

QDBusObjectPath | dial (const QString &number, const QString &callerid_hide, bool &success)
void | hangupAll ()
void | sendTones (const QString &tonestring)
void | transfer ()
void | swapCalls ()
void | releaseAndAnswer ()
void | holdAndAnswer ()
void | privateChat (const QString &path)
QList< QDBusObjectPath > | createMultiparty ()
void | hangupMultiparty ()

## Signals

void | emergencyNumbersChanged (const QStringList &numbers)
void | callAdded (const QString &call, const QVariantMap &values)
void | callRemoved (const QString &call)
void | hangupAllComplete (const bool status)
void | sendTonesComplete (const bool status)
void | transferComplete (const bool status)
void | swapCallsComplete (const bool status)
void | releaseAndAnswerComplete (const bool status)
void | holdAndAnswerComplete (const bool status)
void | privateChatComplete (const bool status, const QStringList &calls)
void | createMultipartyComplete (const bool status, const QStringList &calls)
void | hangupMultipartyComplete (const bool status)
void | barringActive (const QString &type)
void | forwarded (const QString &type)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoVoiceCallManager (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
QStringList | emergencyNumbers () const
Q_INVOKABLE QStringList | getCalls () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

QStringList | emergencyNumbers
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono voice call manager API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/voicecallmanager-api.txt

The documentation for this class was generated from the following file:

- lib/ofonovoicecallmanager.h